= nng_tls_config_server_name(3tls)
//
// Copyright 2020 Staysail Systems, Inc. <info@staysail.tech>
// Copyright 2018 Capitar IT Group BV <info@capitar.com>
//
// This document is supplied under the terms of the MIT License, a
// copy of which should be located in the distribution where this
// file was obtained (LICENSE.txt).  A copy of the license may also be
// found online at https://opensource.org/licenses/MIT.
//

== NAME

nng_tls_config_server_name - configure remote server name

== SYNOPSIS

[source, c]
----
#include <nng/nng.h>
#include <nng/supplemental/tls/tls.h>

int nng_tls_config_server_name(nng_tls_config *cfg, const char *name);
----

== DESCRIPTION

The `nng_tls_config_server_name()` function configures the remote server name
to be used by a client when connection to a server.
The supplied _name_ is used when comparing the identity in the
server's certificate.
Furthermore, when ((Server Name Indication)) (SNI) is used, the _name_ may
be sent to the server as a hint to tell it which of several possible
certificates should be used.

TIP: This function is only useful in configuring client behavior.

== RETURN VALUES

This function returns 0 on success, and non-zero otherwise.

== ERRORS

[horizontal]
`NNG_ENOMEM`:: Insufficient memory is available.
`NNG_EBUSY`:: The configuration _cfg_ is already in use, and cannot be modified.

== SEE ALSO

[.text-left]
xref:nng_strerror.3.adoc[nng_strerror(3)],
xref:nng_tls_config_alloc.3tls.adoc[nng_tls_config_alloc(3tls)],
xref:nng_tls_config_auth_mode.3tls.adoc[nng_tls_config_auth_mode(3tls)],
xref:nng.7.adoc[nng(7)]
